List AWS tags
Returns a list of AWS tags in the specified environment.
Path Parameters
- environment_id string required
Performs the operation on the AWS environment with the specified ID.
Query Parameters
- current_count int64
The number of items listed on the current page.
- limit int64
The maximum number of items displayed per page in the response.
- total_count int64
The total number of items, summed across all pages.
- total_pages_count int64
The total number of pages of results.
- start string
The page number used to get this response. Pages are indexed starting from 1 (i.e.,
"start": "1"). - filter string
Narrows down the results to only the items that satisfy the filter criteria. The following table lists the supported filter fields for this resource and the filter conditions that can be applied on those fields:
For more information about filtering, refer to the Filtering section of this guide.Field Filter Condition Description key_id $eq The Clumio-assigned ID of the AWS tag key associated with the tag. For example, ?filter={"key_id":{"$eq":"d23cd819-ab15-48e2-acea-3f94d3a9f2fb"}}value $contains The AWS-assigned value of the tag. For example, ?filter={"value":{"$contains":"vol"}}protection_status $eq The protection status of the tag. Set to "protected" to return only protected tags. For example, ?filter={"protection_status":{"$eq":"protected"}}protection_info.policy_id $eq The Clumio-assigned ID of a Clumio policy applied to the tag. For example, ?filter={"protection_info.policy_id":{"$eq":"e12cd819-ab15-48e2-acea-3f94d3a9f2fb"}}id $in The Clumio-assigned ID of the AWS tag. Multiple tags can be specified. For example, ?filter={"id":{"in":["f78cd123-ab15-48e2-acea-3f94d3a9f2fb","abbcd819-ba15-48e2-acea-3f94aba9f2fb"]}} - embed string
Embeds the details of each associated resource. Set the parameter to one of the following embeddable links to include additional details associated with the resource.
For more information about embedded links, refer to the Embedding Referenced Resources section of this guide.Embeddable Link Description read-aws-environment-tag-ebs-volumes-protection-stats Embeds protection stats about EBS Volumes associated with this tag into the response. For example, ?embed=read-aws-environment-tag-ebs-volumes-protection-statsread-aws-environment-tag-ec2-instances-protection-stats Embeds protection stats about EC2 Instance associated with this tag into the response. For example, ?embed=read-aws-environment-tag-ec2-instances-protection-statsread-aws-environment-tag-rds-volumes-protection-stats Embeds protection stats about RDS Instance associated with this tag into the response. For example, ?embed=read-aws-environment-tag-rds-volumes-protection-statsread-aws-environment-tag-dynamodb-tables-protection-stats Embeds protection stats about DynamoDB tables associated with this tag into the response. For example, ?embed=read-aws-environment-tag-dynamodb-tables-protection-statsread-aws-environment-tag-protection-groups-protection-stats Embeds protection stats about Protection Groups associated with this tag into the response. For example, ?embed=read-aws-environment-tag-protection-groups-protection-statsread-aws-environment-tag-backup-status-stats Embeds the backup statistics for each tag into the response. For example, ?embed=read-aws-environment-tag-backup-status-statsread-policy-definition Embeds the associated policy of a protected tag into the response. For example, ?embed=read-policy-definition - lookback_days int64
Calculate backup status for the last
lookback_daysdays.
- 200
- default
Success
- application/api.clumio.aws-environment-tags=v1+json
- Schema
- Example (from schema)
Schema
_embedded object
Embedded responses related to the resource.
items object[]
A collection of requested items.
_embedded object
Embedded responses related to the resource.
read-aws-environment-tag-backup-status-statsBackup statistics for each tag.
read-aws-environment-tag-ebs-volumes-protection-statsread-policy-definition Embeds the associated policy of a protected resource in the response if requested using the `embed` query parameter. Unprotected resources will not have an associated policy.Embeds the associated policy of a protected resource in the response if requested using the
embedquery parameter. Unprotected resources will not have an associated policy._links object
URLs to pages related to the resource.
_self object
The HATEOAS link to this resource.
href stringThe URI for the referenced operation.
templated booleanDetermines whether the "href" link is a URI template. If set to
true, the "href" link is a URI template.type stringThe HTTP method to be used with the "href" link for the referenced operation.
protect-entities object
A HATEOAS link to protect the entities.
href stringThe URI for the referenced operation.
templated booleanDetermines whether the "href" link is a URI template. If set to
true, the "href" link is a URI template.type stringThe HTTP method to be used with the "href" link for the referenced operation.
read-aws-environment-tag-ebs-volumes-protection-stats object
A resource-specific HATEOAS link.
href stringThe URI for the referenced operation.
templated booleanDetermines whether the "href" link is a URI template. If set to
true, the "href" link is a URI template.type stringThe HTTP method to be used with the "href" link for the referenced operation.
read-policy-definition object
A HATEOAS link to the policy protecting this resource. Will be omitted for unprotected entities.
href stringThe URI for the referenced operation.
templated booleanDetermines whether the "href" link is a URI template. If set to
true, the "href" link is a URI template.type stringThe HTTP method to be used with the "href" link for the referenced operation.
unprotect-entities object
A HATEOAS link to unprotect the entities.
href stringThe URI for the referenced operation.
templated booleanDetermines whether the "href" link is a URI template. If set to
true, the "href" link is a URI template.type stringThe HTTP method to be used with the "href" link for the referenced operation.
id stringThe Clumio-assigned ID of the AWS tag.
key stringThe AWS-assigned tag key.
key_id stringThe Clumio-assigned ID of the AWS key.
organizational_unit_id stringThe Clumio-assigned ID of the organizational unit associated with the tag.
protection_info object
The protection policy applied to this resource. If the resource is not protected, then this field has a value of
null.inheriting_entity_id stringThe ID of the entity from which protection was inherited. If protection was not inherited, then this field has a value of
null.inheriting_entity_type stringThe type of entity from which protection was inherited. If protection was not inherited, then this field has a value of
null.
Entities from which protection can be inherited include the following:Inheriting Entity Type Details aws_tag AWS tag. policy_id stringA system-generated ID assigned to the policy protecting this resource.
protection_status stringThe protection status of the EBS volume. Possible values include "protected" and "unprotected".
value stringThe AWS-assigned tag value.
_links object
URLs to pages related to the resource.
_first object
The HATEOAS link to the first page of results.
href stringThe URI for the referenced operation.
templated booleanDetermines whether the "href" link is a URI template. If set to
true, the "href" link is a URI template.type stringThe HTTP method to be used with the "href" link for the referenced operation.
_last object
The HATEOAS link to the last page of results.
href stringThe URI for the referenced operation.
templated booleanDetermines whether the "href" link is a URI template. If set to
true, the "href" link is a URI template.type stringThe HTTP method to be used with the "href" link for the referenced operation.
_next object
The HATEOAS link to the next page of results.
href stringThe URI for the referenced operation.
templated booleanDetermines whether the "href" link is a URI template. If set to
true, the "href" link is a URI template.type stringThe HTTP method to be used with the "href" link for the referenced operation.
_prev object
The HATEOAS link to the previous page of results.
href stringThe URI for the referenced operation.
templated booleanDetermines whether the "href" link is a URI template. If set to
true, the "href" link is a URI template.type stringThe HTTP method to be used with the "href" link for the referenced operation.
_self object
The HATEOAS link to this resource.
href stringThe URI for the referenced operation.
templated booleanDetermines whether the "href" link is a URI template. If set to
true, the "href" link is a URI template.type stringThe HTTP method to be used with the "href" link for the referenced operation.
- current_count int64
The number of items listed on the current page.
- filter_applied string
The filter used in the request. The filter includes both manually-specified and system-generated filters.
- limit int64
The maximum number of items displayed per page in the response.
- start string
The page number used to get this response. Pages are indexed starting from 1 (i.e.,
"start": "1"). - total_count int64
The total number of items, summed across all pages.
- total_pages_count int64
The total number of pages of results.
{
"_embedded": {
"items": [
{
"_embedded": {},
"_links": {
"_self": {
"href": "string",
"templated": true,
"type": "string"
},
"protect-entities": {
"href": "string",
"templated": true,
"type": "string"
},
"read-aws-environment-tag-ebs-volumes-protection-stats": {
"href": "string",
"templated": true,
"type": "string"
},
"read-policy-definition": {
"href": "string",
"templated": true,
"type": "string"
},
"unprotect-entities": {
"href": "string",
"templated": true,
"type": "string"
}
},
"id": "string",
"key": "string",
"key_id": "string",
"organizational_unit_id": "string",
"protection_info": {
"inheriting_entity_id": "string",
"inheriting_entity_type": "string",
"policy_id": "string"
},
"protection_status": "string",
"value": "string"
}
]
},
"_links": {
"_first": {
"href": "string",
"templated": true,
"type": "string"
},
"_last": {
"href": "string",
"templated": true,
"type": "string"
},
"_next": {
"href": "string",
"templated": true,
"type": "string"
},
"_prev": {
"href": "string",
"templated": true,
"type": "string"
},
"_self": {
"href": "string",
"templated": true,
"type": "string"
}
},
"current_count": 0,
"filter_applied": "string",
"limit": 0,
"start": "string",
"total_count": 0,
"total_pages_count": 0
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}